<layout-card-container [designClass]="CARD_CONTAINER_DESIGN_CLASS.ALTERNATIVE">
  <div class="products-offers-list">
    <div class="products-offers-list__header">
      <p class="title">
        {{
          "MERCHANT_MANAGER.MERCHANT_GROUP_PROFILE.GROUP_PROFILE.OFFERS_CARD.TITLE"
            | translate
        }}
      </p>
      <p class="counter">
        ({{ (productOfferListItemFromOffers$ | async)?.length }})
      </p>
    </div>
    <div class="products-offers-list__content">
      <ng-container *ngIf="!(isLoading$ | async); else loading">
        <div class="header-container">
          <p class="header-container__title">
            {{
              "MERCHANT_MANAGER.MERCHANT_GROUP_PROFILE.GROUP_PROFILE.OFFERS_CARD.OFFERS"
                | translate
            }}
          </p>
          <p class="header-container__title">
            {{
              "MERCHANT_MANAGER.MERCHANT_GROUP_PROFILE.GROUP_PROFILE.OFFERS_CARD.COMMISTION"
                | translate
            }}
          </p>
          <p class="header-container__title">
            {{
              "MERCHANT_MANAGER.MERCHANT_GROUP_PROFILE.GROUP_PROFILE.OFFERS_CARD.TAX"
                | translate
            }}
          </p>
        </div>
        <form
          class="cards-container"
          [formGroup]="form"
          *ngIf="
            productOfferListItemFromOffers$
              | async as productOfferListItemFromOffers
          "
        >
          <ng-container
            *ngIf="productOfferListItemFromOffers?.length > 0; else empty"
          >
            <div
              formArrayName="offers"
              *ngFor="let item of productOfferListItemFromOffers; index as i"
            >
              <div [formGroupName]="i">
                <layout-product-offer-list-item
                  formControlName="value"
                  [id]="i"
                  [productOfferListItem]="item"
                  [tax]="(project$ | async)?.default_tax_value"
                  [canEdit]="canEdit"
                  [listDetails]="true"
                >
                </layout-product-offer-list-item>
              </div>
            </div>
          </ng-container>
        </form>
      </ng-container>
    </div>
    <div class="products-offers-list__footer" *ngIf="!(isLoading$ | async)">
      <a
        class="add-or-remove"
        *ngIf="merchantGroupProfileId$ | async as id"
        [routerLink]="merchantGroupAddOrRemoveOffersUrl"
        [queryParams]="{ id }"
      >
        {{
          "MERCHANT_MANAGER.MERCHANT_GROUP_PROFILE.GROUP_PROFILE.OFFERS_CARD.ADD_OR_REMOVE"
            | translate
        }}
      </a>
      <ng-container
        *ngIf="(productOfferListItemFromOffers$ | async)?.length > 0"
      >
        <mo-button
          *ngIf="!canEdit && !(isLoadingUpdateCommission$ | async)"
          [text]="
            'MERCHANT_MANAGER.MERCHANT_GROUP_PROFILE.GROUP_PROFILE.OFFERS_CARD.BTN_EDIT'
              | translate
          "
          [designClass]="BUTTON_DESIGN_CLASS.PRIMARY_WHITE"
          [displayBlock]="true"
          [size]="SIZES.MD"
          [isDisabled]="isLoadingUpdateCommission$ | async"
          [isLoading]="isLoadingUpdateCommission$ | async"
          (click)="onEdit()"
        >
        </mo-button>
        <mo-button
          *ngIf="canEdit || (isLoadingUpdateCommission$ | async)"
          [text]="
            'MERCHANT_MANAGER.MERCHANT_GROUP_PROFILE.GROUP_PROFILE.OFFERS_CARD.BTN_CONFIRM'
              | translate
          "
          [designClass]="BUTTON_DESIGN_CLASS.PRIMARY_WHITE"
          [displayBlock]="true"
          [size]="SIZES.MD"
          [isDisabled]="offers?.invalid || (isLoadingUpdateCommission$ | async)"
          [isLoading]="isLoadingUpdateCommission$ | async"
          (click)="onConfirm()"
        >
        </mo-button>
      </ng-container>
    </div>
  </div>
</layout-card-container>

<ng-template #loading>
  <div class="loader-container">
    <layout-skeleton
      *ngFor="let skeleton of skeletons"
      [skeleton]="skeleton"
    ></layout-skeleton>
  </div>
</ng-template>

<ng-template #empty>
  <merchant-group-profile-empty-list></merchant-group-profile-empty-list>
</ng-template>
